T:
DC.L	0
DC.L	0
DC.L	$370
;----------------------------------------------------------------
;	BOOT PDX
;----------------------------------------------------------------
ST:

;----------------------------------------------------------------
; ----- EXEC.LIBRARY     -----
;----------------------------------------------------------------
OPENLIBRARY= 	-408
CLOSELIBRARY= 	-414
FORBID= 	-132
PERMIT= 	-138
EXECBASE= 	$04
;----------------------------------------------------------------
	MOVE.L	#0,YTXT

	BSR.L	MAKE_TXT			; AFFICHE PETIT TEXT

MOVEM.L 	D0-D7/A0-A6,-(A7)
;----------------------------------------------------------------
; ---- OPEN GRAPHICS.LIBRARY ----
;----------------------------------------------------------------
MOVE.L		EXECBASE,A6
LEA		GFXNAME,A1
JSR		OPENLIBRARY(A6)
MOVE.L		D0,GFXBASE
;----------------------------------------------------------------
JSR		FORBID(A6)		; FORBID MULTITASKING
MOVE.W		#$0020,$DFF096		; STOP SPRITE DMA
;----------------------------------------------------------------
MOVE.L		GFXBASE,A0		; COPPERLISTE EINSCHALTEN
ADD.L		#$32,A0
;MOVE.W		#$0080,$DFF096
;----------------------------------------------------------------
MOVE.L		(A0),OLDCOPPER
MOVE.L		#NEWCOPPER,(A0)
;MOVE.W		#$8080,$DFF096
;----------------------------------------------------------------
;MOVE.W		#$4000,$DFF09A		; NEUEN IRQ EINSCHALTEN
;MOVE.L		$6C,OLDIRQ
;MOVE.L		#NEWIRQ,$6C
;MOVE.W		#$C000,$DFF09A
;----------------------------------------------------------------
WAIT:
BTST		#6,$BFE001		; LINKE MAUSTASTE ???
BNE.S		WAIT
;----------------------------------------------------------------
;MOVE.W		#$4000,$DFF09A		; AUF ALTEN IRQ ZURUECK
;MOVE.L		OLDIRQ,$6C
;MOVE.W		#$C000,$DFF09A

MOVE.L		EXECBASE,A6
MOVE.L		GFXBASE,A1		; GRAPHIC.LIB SCHLIESSEN
JSR		CLOSELIBRARY(A6)
MOVE.L		GFXBASE,A0		; ALTE COPPERLISTE EINSCHALTEN
ADD.L		#$32,A0

;MOVE.W		#$0080,$DFF096
MOVE.L		OLDCOPPER,(A0)

;MOVE.W		#$8080,$DFF096

MOVE.L		EXECBASE,A6		; MULTITASKING ERLAUBEN
JSR		PERMIT(A6)

MOVE.W		#$8020,$DFF096		; SPRITE DMA EINSCHALTEN
MOVEM.L		(A7)+,D0-D7/A0-A6
ERROR:
RTS
;----------------------------------------------------------------
MAKE_TXT:
	LEA	TEXT,A0			; TEXT A CONVERTIR
	ADD.W	TXTP,A0			; AJOUTE UN POINTEUR
	
	MOVE.B	(A0),D0			; ET PREND LA LETTRE DANS D0

NF2:	LEA	$70000,A1		; $6F000 DESTINATION
	ADD.W	YTXT,A1			; PLUS ABSICE

	MOVEQ	#5,D3
XI2:
	MOVEQ	#39,D0			; NOMBRE DE CARACTERE A PRENDRE
XI3:	
	MOVEQ	#00,D2			; EFFACE D2

	MOVE.B	(A0)+,D2		; PREND CARACTERE DANS D2
	ADD.W	#1,YTXT			; ET AVANCE D'UN OCTET

	CMP.B	#0,D2			; SI 0 THEN C LA FIN
	BNE.S	NON_FIN

	MOVE.L	#0,TXTP			; COMPTEUR A 0
					; COMPTEUR DEST A 0

	BRA.S	MAKE_TXT		; RECOMMENCE
NON_FIN:
	CMP.B	#"=",D2
	BEQ.S	SPCL

	CMP.B	#" ",D2
	BEQ.S	SPAC

	SUB.B	#64,D2			; ENLEVE 32 A LA VALEUR
HERE:
	LSL.W	#3,D2			; MULTIPLIE PAR 8
	MOVE.L	D2,A2			; ET SAUVVE DANS A2
	ADDA.L	#LITTLE_FONT,A2		; AJOUTE START FONTE
	MOVE.L	A1,A3			; ET SAUVE EN A3 
	ADDA.L	#1,A1			; AJOUTE 1 A SOURCE

	MOVEQ	#7,D1			; COPIE CARACTERE
LOOPPF:	MOVE.B	(A2)+,(A3)		; DATAS EN DESTINATION
	ADD.L	#40,A3				
	DBRA	D1,LOOPPF		; BOUCLE

	DBRA	D0,XI3			; PREND D0 CAACTERES

     	ADD.L	#40*9,A1
	ADD.W	#40*9,YTXT
	DBRA	D3,XI2

RTS

SPCL:
	MOVE.B	#27,D2
	BRA.S	HERE
SPAC:
	MOVE.B	#0,D2
	BRA.S	HERE
;----------------------------------------------------------------
;NEWIRQ:
;MOVEM.L		D0-D7/A0-A6,-(SP)
;
;MOVEM.L		(SP)+,D0-D7/A0-A6
;DC.W		$4EF9
;----------------------------------------------------------------
OLDIRQ:
DC.L	0
;----------------------------------------------------------------
NEWCOPPER:
	DC.L	$01800000
	DC.L	$01000200	
START=$75
	DC.B	START+1,$0F,$FF,$FE
	DC.L	$01800004
	DC.B	START+2,$0F,$FF,$FE
	DC.L	$01800006

	DC.B	START+17,$0F,$FF,$FE
	DC.L	$00E00007,$00E20000
	DC.L	$01001200,$01820FFF

	DC.B	START+55,$0F,$FF,$FE
	DC.L	$01000200

	DC.B	START+70,$0F,$FF,$FE
	DC.L	$00E00007,$00E20618,$01001200
	DC.L	$01820F00

	DC.B	START+110,$0F,$FF,$FE
	DC.L	$01800004,$01000200
	DC.B	START+111,$0F,$FF,$FE
	DC.L	$01800000

DC.L	$FFFFFFFF
;----------------------------------------------------------------
GFXBASE:
DC.L 	0
OLDCOPPER:
DC.L 	0
GFXNAME:
dc.b 	"graphics.library",0
EVEN
ytxt:		dc.w	0		; COMPTEUR HORIZONTAL !!!!!!
txtp:		dc.w	0		; COMPTEUR GENERAL SUR TEXTE
;----------------------------------------------------------------
little_font:
	dc.b 	$00,$00,$00,$00,$00,$00,$00,$00		; Space
	dc.b 	$00,$00,$ff,$03,$7f,$73,$73,$00		; A
	dc.b 	$00,$00,$fe,$03,$7e,$73,$7e,$00		; B
	dc.b 	$00,$00,$3f,$70,$70,$70,$3f,$00		; C
	dc.b 	$00,$00,$fe,$03,$73,$73,$7e,$00		; D
	dc.b 	$00,$00,$ff,$00,$7f,$70,$7f,$00		; E
	dc.b 	$00,$00,$7f,$00,$7f,$60,$60,$00		; F
	dc.b 	$00,$00,$3f,$70,$73,$73,$3f,$00		; G
	dc.b 	$00,$00,$73,$73,$7f,$73,$73,$70		; H
	dc.b 	$00,$00,$1c,$1c,$1c,$1c,$1c,$00		; I
	dc.b 	$00,$00,$ff,$06,$06,$06,$7e,$00		; J
	dc.b 	$00,$00,$73,$76,$7c,$76,$73,$00		; K
	dc.b 	$00,$70,$70,$70,$70,$70,$7f,$00		; L
	dc.b 	$00,$00,$63,$77,$7f,$6b,$63,$60		; M
	dc.b 	$40,$60,$73,$7b,$7f,$77,$73,$01		; N
	dc.b 	$00,$00,$fe,$03,$63,$63,$3e,$00		; O
	dc.b 	$00,$00,$fe,$03,$7e,$70,$70,$00		; P
	dc.b 	$00,$00,$3e,$63,$63,$6f,$3e,$03		; Q
	dc.b 	$00,$00,$fe,$03,$7e,$66,$63,$00		; R
	dc.b 	$00,$00,$0f,$1c,$1c,$1c,$f8,$00		; S
	dc.b 	$00,$00,$ff,$1c,$1c,$1c,$1c,$00		; T
	dc.b 	$00,$00,$73,$73,$73,$73,$3e,$00		; U
	dc.b 	$00,$00,$73,$73,$73,$3e,$1c,$00		; V
	dc.b 	$03,$03,$63,$6b,$7f,$77,$63,$00		; W
	dc.b 	$00,$00,$73,$73,$3e,$73,$73,$00		; X
	dc.b 	$00,$00,$73,$73,$7f,$1c,$1c,$1c		; Y
	dc.b 	$00,$00,$ff,$0e,$1c,$38,$7f,$00		; Z
	DC.B	$00,$FC,$FC,$FC,$FC,$FC,$FC,$00		; SPC
;----------------------------------------------------------------
TEXT:
;DC.B	"                                        "	; REGLE
		
DC.B	" ====  ==  == ====== ====== ==   ==     "	
DC.B	"  ==   === ==   ==   ==  ==  == ==      "
DC.B	"  ==   ======   ==   === ==   = =       "	
DC.B	" ====  ==  ==   ==   ====== ==   ==     "
DC.B	" PRESENTS  A NEW PARADOX PRODUCTION     "
DC.B	" MADE IN MCMXC   BY THE BEST ORIENS     "

END:
