ST:

	move.l a7,STORESTACK	; store stack pointer

	move.l 4,a6		; exec library
	lea GfxName,a1		; graphic.library	
	jsr -408(a6)		; open
	move.l d0,GfxBase	; save pointer
	move.l d0,d6		; ?????????	
	move.l GfxBase,a6	; use graphics library

	move.l 4,a6		; exec library
	jsr -132(a6)		; forbid multitasking
	move.l GfxBase,a0	; point at view
	add.l #$32,a0		; prepare to change copper
	move.w #$80,$dff096	; turn off copper
	move.l (a0),StoreCopper	; save oldcopper	
	move.l #CopList,(a0)	; point at our own copper

;	move.l $6c,oldvector
;	move.l #inter,$6c

	move.w #$8080,$dff096	; turn copper back on
	move.l GfxBase,a6	; use graphicslibrary

vmouse:			; mousecheck			
	bclr #7,$bfd100
	btst #6,$bfe001
	bne vmouse
jmp EndRoutine		; end program
Moveport:
rts

EndRoutine:
	move.l GfxBase,a0	; restore old copper
	add.l #$32,a0
	move.w #$80,$dff096
	move.l StoreCopper,(a0)
	move.l oldvector,$6c
	move.w #$8080,$dff096
	move.l 4,a6		
	jsr -138(a6)		; permit multitasking
	move.l 	GfxBase,a6	; close libraries
	jsr -78(a6)
	move.l GfxBase,a1
	jsr -414(a6)
	move.l STORESTACK,a7	; restore stack pointer
	clr.l d0		; report no errors
rts			; end program 

Error:
	move.l STORESTACK,a7	; restore stackpointer
rts			; end program	

Inter:
	Movem.l d0-d7/a0-a6,-(a7)
	btst #5,$dff01c
	bne vblank
	bra endhandler
vblank: move.w #$10,$dff09c
endhandler:
movem.l (a7)+,d0-d7/a0-a6
dc.w $4ef9

oldvector:
dc.l 0

Variables:
STORESTACK:	dc.l 0
GfxBase:	dc.l 0
StoreCopper:	dc.l 0
GfxName:
dc.b "graphics.library",0
even

CopList:
dc.w $008e,$7481
dc.w $0090,$4ec9
dc.w $0092,$0028
dc.w $0094,$00d8
dc.w $00e0,$0004
dc.w $00e2,$5000
dc.w $0108,$0000
dc.w $0100,$1200
dc.w $0102,$0000

dc.w $ffff,$fffe

END:

