start:
move.l #0,sens
move.l a7,STORESTACK	; store stack pointer
move.l #textdata1,textlen1
move.w #$0,textwidth
move.l 4,a6		; exec library
lea GfxName,a1		; graphic.library	
jsr -408(a6)		; open
move.l d0,GfxBase	; save pointer
move.l d0,d6		; ?????????	
move.l GfxBase,a6	; use graphics library
lea BitMap,a0		; set bitmap
moveq #$01,d0		; 1 bitplane
move.l #$170,d1		; width
move.l #$c8,d2		; height
jsr -390(a6)		; initbitmap
move.l #$45000,a0	; our bitplane
move.l a0,BitMap+8	; put it in bitmap+8

move.w #3000,d0		; clear bitplane
clrloop:
clr.l (a0)+
dbra d0,clrloop

lea RastPort,a1		; point to rastport
jsr -198(a6)		; init rastport
move.l #BitMap,RastPort+4; put bitmap in rastport+4	
lea RastPort,a1		; point to rastport
move.l 4,a6		; exec library
jsr -132(a6)		; forbid multitasking
move.l GfxBase,a0	; point at view
add.l #$32,a0		; prepare to change copper
move.w #$80,$dff096	; turn off copper
move.l (a0),StoreCopper	; save oldcopper	
move.l #CopList,(a0)	; point at our own copper
move.l $6c,oldvector
move.l #inter,$6c
move.w #$8080,$dff096	; turn copper back on
move.l GfxBase,a6	; use graphicslibrary

vmouse:			; mousecheck			
bclr #7,$bfd100
btst #6,$bfe001
bne vmouse
jmp EndRoutine		; end program

Moveport:
lea RastPort,a1		; point at rastport
jsr -240(a6)		; do move
rts

TextPrint:
lea RastPort,a1		; point at rastport
jsr -60(a6)		; do printout
rts

EndRoutine:

move.l GfxBase,a0	; restore old copper
add.l #$32,a0
move.w #$80,$dff096
move.l StoreCopper,(a0)
move.l oldvector,$6c
move.w #$8080,$dff096
move.l 4,a6		
jsr -138(a6)		; permit multitasking
move.l GfxBase,a6	; close libraries
jsr -78(a6)
move.l GfxBase,a1
jsr -414(a6)
move.l STORESTACK,a7	; restore stack pointer
clr.l d0		; report no errors
rts			; end program 

Error:
move.l STORESTACK,a7	; restore stackpointer
rts			; end program	

Inter:
Movem.l d0-d7/a0-a6,-(a7)
btst #5,$dff01c
bne vblank
bra endhandler
vblank: move.w #$10,$dff09c

endhandler:
btst #1,sens
beq bas

haut: 	addi.w #$400,h1
	addi.w #$400,h2
	addi.w #$400,h3
	addi.w #$400,h4
	addi.w #$400,h5
	addi.w #$400,h6
	addi.w #$400,h7
	addi.w #$400,h8
	addi.w #$400,h9
	addi.w #$400,ha
	addi.w #$400,hb
	addi.w #$400,hc
	addi.w #$400,hd
	addi.w #$400,he
	addi.w #$400,hf
	addi.w #$400,g0
	addi.w #$400,g1
	addi.w #$400,g2
	addi.w #$400,g3
	addi.w #$400,g4
	addi.w #$400,g5
	addi.w #$400,g6
	addi.w #$400,g7
	addi.w #$400,g8
	addi.w #$400,g9
	addi.w #$400,ga
	addi.w #$400,gb
	addi.w #$400,gc
	addi.w #$400,gd
	addi.w #$400,ge

	subi.w #$400,b1
	subi.w #$400,b2
	subi.w #$400,b3
	subi.w #$400,b4
	subi.w #$400,b5
	subi.w #$400,b6
	subi.w #$400,b7
	subi.w #$400,b8
	subi.w #$400,b9
	subi.w #$400,ba
	subi.w #$400,bb
	subi.w #$400,bc
	subi.w #$400,bd
	subi.w #$400,be
	subi.w #$400,bf
	subi.w #$400,c0
	subi.w #$400,c1
	subi.w #$400,c2
	subi.w #$400,c3
	subi.w #$400,c4
	subi.w #$400,c5
	subi.w #$400,c6
	subi.w #$400,c7
	subi.w #$400,c8
	subi.w #$400,c9
	subi.w #$400,ca
	subi.w #$400,cb
	subi.w #$400,cc
	subi.w #$400,cd
	subi.w #$400,ce	
cmpi.w #$b001,ce
bne cont
bchg #1,sens
jmp cont


bas:	subi.w #$100,h1
	subi.w #$100,h2
	subi.w #$100,h3
	subi.w #$100,h4
	subi.w #$100,h5
	subi.w #$100,h6
	subi.w #$100,h7
	subi.w #$100,h8
	subi.w #$100,h9
	subi.w #$100,ha
	subi.w #$100,hb
	subi.w #$100,hc
	subi.w #$100,hd
	subi.w #$100,he
	subi.w #$100,hf
	subi.w #$100,g0
	subi.w #$100,g1
	subi.w #$100,g2
	subi.w #$100,g3
	subi.w #$100,g4
	subi.w #$100,g5
	subi.w #$100,g6
	subi.w #$100,g7
	subi.w #$100,g8
	subi.w #$100,g9
	subi.w #$100,ga
	subi.w #$100,gb
	subi.w #$100,gc
	subi.w #$100,gd
	subi.w #$100,ge

	addi.w #$100,b1
	addi.w #$100,b2
	addi.w #$100,b3
	addi.w #$100,b4
	addi.w #$100,b5
	addi.w #$100,b6
	addi.w #$100,b7
	addi.w #$100,b8
	addi.w #$100,b9
	addi.w #$100,ba
	addi.w #$100,bb
	addi.w #$100,bc
	addi.w #$100,bd
	addi.w #$100,be
	addi.w #$100,bf
	addi.w #$100,c0
	addi.w #$100,c1
	addi.w #$100,c2
	addi.w #$100,c3
	addi.w #$100,c4
	addi.w #$100,c5
	addi.w #$100,c6
	addi.w #$100,c7
	addi.w #$100,c8
	addi.w #$100,c9
	addi.w #$100,ca
	addi.w #$100,cb
	addi.w #$100,cc
	addi.w #$100,cd
	addi.w #$100,ce

cmpi.w #$2001,h1
bne cont
bchg #1,sens

cont:
clr.l d0
move.b #$3f,d0
lea $45000+[46*20],a3
bokstav1:
move.l a3,a2 
move sr,d6

skjermscroll:
move.l #22,d1
move d6,ccr

scroll3:
roxl.w -(a2)
dbra d1,scroll3
clr.w (a2)

adda.l #46,a3
move.l a3,a2
move.b #$0,d6
dbra d0,bokstav1

move.w textwidth,d3
add.w #1,d3
cmp.w #$8,d3		; let the text scroll 8 bits before we
bne notthistime		; use next character !!!!1
move.w #$0,d3

move.l #$158+[8*48],d0		; set x for move
move.l #25,d1		; set y for move
jsr MovePort		; go do move rastport
lea RastPort,a1
move.l #0,d0
move.l #0,d1
jsr -90(a6)
move.l textlen1,a0	; point at text
move.l #$1,d0		
jsr TextPrint		; go do printout
add.l #1,textlen1
cmpa.l #textlength1,textlen1
bne notthistime
move.l #textdata1,textlen1
notthistime:
move.w d3,textwidth

movem.l (a7)+,d0-d7/a0-a6
dc.w $4ef9
oldvector:
dc.l 0

Variables:
STORESTACK:	dc.l 0
GfxBase:	dc.l 0
StoreCopper:	dc.l 0
textlen1:	dc.l 0
textwidth:	dc.w 0
Textattr:
GfxName:
dc.b "graphics.library",0

even
CopList:
dc.w $008e,$7481
dc.w $0090,$4ec9
dc.w $0092,$0028
dc.w $0094,$00d8
dc.w $00e0,$0004
dc.w $00e2,$5000
dc.w $0108,$0000
dc.w $0100,$1200
dc.w $0102,$0000

	dc.w $0180,$0000
	
h1:	dc.w $6101,$fffe
	dc.w $0180,$0111

h2:	dc.w $6201,$fffe
	dc.w $0180,$0222

h3:	dc.w $6301,$fffe
	dc.w $0180,$0333

h4:	dc.w $6401,$fffe
	dc.w $0180,$0444

h5:	dc.w $6501,$fffe
	dc.w $0180,$0555

h6:	dc.w $6601,$fffe
	dc.w $0180,$0666

h7:	dc.w $6701,$fffe
	dc.w $0180,$0777
	
h8:	dc.w $6801,$fffe
	dc.w $0180,$0888

h9:	dc.w $6901,$fffe
	dc.w $0180,$0999

ha:	dc.w $6a01,$fffe
	dc.w $0180,$0aaa

hb:	dc.w $6b01,$fffe
	dc.w $0180,$0bbb

hc:	dc.w $6c01,$fffe
	dc.w $0180,$0ccc

hd:	dc.w $6d01,$fffe
  	dc.w $0180,$0ddd

he: 	dc.w $6e01,$fffe
	dc.w $0180,$0eee
	
hf:	dc.w $6f01,$fffe
	dc.w $0180,$0fff

g0:	dc.w $7001,$fffe
	dc.w $0180,$0eee

g1:	dc.w $7101,$fffe
	dc.w $0180,$0ddd

g2:	dc.w $7201,$fffe
	dc.w $0180,$0ccc

g3:	dc.w $7301,$fffe
	dc.w $0180,$0bbb

g4:	dc.w $7401,$fffe
	dc.w $0180,$0aaa
	
g5:	dc.w $7501,$fffe
	dc.w $0180,$0999

g6:	dc.w $7601,$fffe
	dc.w $0180,$0888

g7:	dc.w $7701,$fffe
	dc.w $0180,$0777

g8:	dc.w $7801,$fffe
	dc.w $0180,$0666

g9:	dc.w $7901,$fffe
	dc.w $0180,$0555

ga:	dc.w $7a01,$fffe
	dc.w $0180,$0444

gb:	dc.w $7b01,$fffe
	dc.w $0180,$0333

gc:	dc.w $7c01,$fffe
	dc.w $0180,$0222

gd:	dc.w $7d01,$fffe
	dc.w $0180,$0111

ge:	dc.w $7e01,$fffe
	dc.w $0180,$000

h0:	dc.w $8401,$fffe
	dc.w $0180,$0333

	dc.w $8501,$fffe
	dc.w $0180,$0444

	dc.w $8601,$fffe
	dc.w $0180,$0555

	dc.w $8701,$fffe
	dc.w $0180,$0666

	dc.w $9101,$fffe
	dc.w $0180,$0555

	dc.w $9201,$fffe
	dc.w $0180,$0444

	dc.w $9301,$fffe
	dc.w $0180,$0333

	dc.w $9401,$fffe
	dc.w $0180,$0000
b1:	dc.w $9a01,$fffe
	dc.w $0180,$0111

b2:	dc.w $9b01,$fffe
	dc.w $0180,$0222

b3:	dc.w $9c01,$fffe
	dc.w $0180,$0333

b4:	dc.w $9d01,$fffe
	dc.w $0180,$0444

b5:	dc.w $9e01,$fffe
	dc.w $0180,$0555

b6:	dc.w $9f01,$fffe
	dc.w $0180,$0666

b7:	dc.w $a001,$fffe
	dc.w $0180,$0777

b8:	dc.w $a101,$fffe
	dc.w $0180,$0888
	
b9:	dc.w $a201,$fffe
	dc.w $0180,$0999
	
ba:	dc.w $a301,$fffe
	dc.w $0180,$0aaa

bb:	dc.w $a401,$fffe
	dc.w $0180,$0bbb

bc:	dc.w $a501,$fffe
	dc.w $0180,$0ccc

bd:	dc.w $a601,$fffe
	dc.w $0180,$0ddd
	
be:	dc.w $a701,$fffe
	dc.w $0180,$0eee

bf:	dc.w $a801,$fffe
	dc.w $0180,$0fff

c0:	dc.w $a901,$fffe
	dc.w $0180,$0eee

c1:	dc.w $aa01,$fffe
	dc.w $0180,$0ddd

c2:	dc.w $ab01,$fffe
	dc.w $0180,$0ccc

c3:	dc.w $ac01,$fffe
	dc.w $0180,$0bbb

c4:	dc.w $ad01,$fffe
	dc.w $0180,$0aaa

c5:	dc.w $ae01,$fffe
	dc.w $0180,$0999

c6:	dc.w $af01,$fffe
	dc.w $0180,$0888

c7:	dc.w $b001,$fffe
	dc.w $0180,$0777

c8:	dc.w $b101,$fffe
	dc.w $0180,$0666

c9:	dc.w $b201,$fffe
	dc.w $0180,$0555

ca:	dc.w $b301,$fffe
	dc.w $0180,$0444

cb:	dc.w $b401,$fffe
	dc.w $0180,$0333

cc:	dc.w $b501,$fffe
	dc.w $0180,$0222

cd:	dc.w $b601,$fffe
	dc.w $0180,$0111

ce:	dc.w $b701,$fffe
	dc.w $0180,$0000

dc.w $ffff,$fffe

sens: dc.l 0

TextData1:
dc.b " >>>> ARCONIX <<<< PRESENTS - TESTDRIVE TWO - "
DC.B " CRACKED BY AVENGER    ARCOMEMBERS ARE - BATMAN TEAM -"
DC.B " CRACKIE - CYBER - MAC Z - MIKE - NHP - AND - TKH - "
DC.B "  VERY SPECIAL THANKS GO TO - AFA - BAMIGA SECTOR ONE -"
DC.B " DEVILDREAD - EXODUS - PARANOIMIA - THR GREAT SWAPERS -"
dc.b " VISION FACTORY - AND ALL OUR CONTACTS IN THE WORLD !!!  "
DC.B " MEGA FUCK TO THE THINGS CALLED - NICOLE COLIN - ARF ARF ARF !!"
DC.B "   WATCH OUT FOR OUR FIRST MEGA DEMO ! "
DC.B " SEE YOU SOON ... BYE ...                              "
TextLength1:

even
BitMap:
blk.b $28,0

RastPort:
